First commit
diff --git a/util/vm/.bash_profile b/util/vm/.bash_profile
new file mode 100644
index 0000000..9935934
--- /dev/null
+++ b/util/vm/.bash_profile
@@ -0,0 +1,24 @@
+SSH_ENV="$HOME/.ssh/environment"
+
+function start_agent {
+     echo "Initialising new SSH agent..."
+     /usr/bin/ssh-agent | sed 's/^echo/#echo/' > "${SSH_ENV}"
+     echo succeeded
+     chmod 600 "${SSH_ENV}"
+     . "${SSH_ENV}" > /dev/null
+     /usr/bin/ssh-add;
+}
+
+# Source SSH settings, if applicable
+
+if [ -f "${SSH_ENV}" ]; then
+     . "${SSH_ENV}" > /dev/null
+     #ps ${SSH_AGENT_PID} doesn't work under cywgin
+     ps -ef | grep ${SSH_AGENT_PID} | grep ssh-agent$ > /dev/null || {
+         start_agent;
+     }
+else
+     start_agent;
+fi
+
+source ~/.bashrc
diff --git a/util/vm/install-mininet-vm.sh b/util/vm/install-mininet-vm.sh
new file mode 100644
index 0000000..382945e
--- /dev/null
+++ b/util/vm/install-mininet-vm.sh
@@ -0,0 +1,40 @@
+#!/bin/bash
+
+# This script is intended to install Mininet into
+# a brand-new Ubuntu virtual machine,
+# to create a fully usable "tutorial" VM.
+set -e
+echo `whoami` ALL=NOPASSWD: ALL | sudo tee -a /etc/sudoers
+sudo sed -i -e 's/Default/#Default/' /etc/sudoers
+sudo sed -i -e 's/ubuntu/mininet-vm/' /etc/hostname
+sudo sed -i -e 's/ubuntu/mininet-vm/g' /etc/hosts
+sudo hostname `cat /etc/hostname`
+sudo sed -i -e 's/quiet splash/text/' /etc/default/grub
+sudo update-grub
+sudo sed -i -e 's/us.archive.ubuntu.com/mirrors.kernel.org/' \
+	/etc/apt/sources.list
+sudo apt-get update
+# Clean up vmware easy install junk if present
+if [ -e /etc/issue.backup ]; then
+    sudo mv /etc/issue.backup /etc/issue
+fi
+if [ -e /etc/rc.local.backup ]; then
+    sudo mv /etc/rc.local.backup /etc/rc.local
+fi
+# Install Mininet
+sudo apt-get -y install git-core openssh-server
+git clone git://github.com/mininet/mininet
+cd mininet
+cd
+time mininet/util/install.sh
+# Ignoring this since NOX classic is deprecated
+#if ! grep NOX_CORE_DIR .bashrc; then
+#  echo "export NOX_CORE_DIR=~/noxcore/build/src/" >> .bashrc
+#fi
+echo <<EOF
+You may need to reboot and then:
+sudo dpkg-reconfigure openvswitch-datapath-dkms
+sudo service openvswitch-switch start
+EOF
+
+